| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_rfft_instance_q31 Struct Reference

Instance structure for the Q31 RFFT/RIFFT function.

## Data Fields

uint32_t | fftLenReal
uint32_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
q31_t * | pTwiddleAReal
q31_t * | pTwiddleBReal
arm_cfft_radix4_instance_q31 * | pCfft

## Field Documentation

uint8_t arm_rfft_instance_q31::bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().

uint32_t arm_rfft_instance_q31::fftLenBy2

length of the complex FFT.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().

uint32_t arm_rfft_instance_q31::fftLenReal

length of the real FFT.

Referenced by arm_rfft_init_q31().

uint8_t arm_rfft_instance_q31::ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().

arm_cfft_radix4_instance_q31* arm_rfft_instance_q31::pCfft

points to the complex FFT instance.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().

q31_t* arm_rfft_instance_q31::pTwiddleAReal

points to the real twiddle factor table.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().

q31_t* arm_rfft_instance_q31::pTwiddleBReal

points to the imag twiddle factor table.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().

uint32_t arm_rfft_instance_q31::twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Referenced by arm_rfft_init_q31(), and arm_rfft_q31().